apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: vendaweb-portal-prod
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://git.simplifiquehc.com.br/simplifique/Vendaweb-portal.git
    targetRevision: main
    path: k8s/overlays/prod
  destination:
    server: https://kubernetes.default.svc
    namespace: vendawebfront-prod
  syncPolicy:
    automated:
      selfHeal: true
      prune: true
    retry:
      limit: 2
      backoff:
        duration: 5s
        factor: 2
        maxDuration: 3m
    syncOptions:
      - CreateNamespace=true
      - PruneLast=true
